"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad111f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad113a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad114c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad115e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad118b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad119d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11a60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11af0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11b80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11c10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11ca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11d30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11dc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11e50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11f70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad11ee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad140d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad141f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad143a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad144c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad145e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad148b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad149d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14a60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14af0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14b80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14c10>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14ca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14d30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14dc0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14e50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14ee0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad14f70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad190d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad191f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19280>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19310>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad193a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19430>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad194c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19550>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad195e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19790>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19670>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19820>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad198b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19940>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad199d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19a60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19b80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19af0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19c10>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19ca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19d30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19e50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19dc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19ee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad19f70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad1d040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad1d0d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad1d160>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaad1d1f0>)]
name: str = 'fr_HOCCN'
